
Katello - Bug #6708

Have the /api/v2/organization routes point to our Organization controller in Katello

07/21/2014 04:56 PM - David Davis

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1122678 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/448
Description

Related issues:

Related to Katello - Bug #6647: Foreman organization API destroy routes (DELE... Closed 07/16/2014

Related to Foreman - Feature #9375: Find a way for plugins to easily override... Rejected 02/13/2015

History

#1 - 07/21/2014 04:59 PM - David Davis

- Related to Bug #6647: Foreman organization API destroy routes (DELETE /api/v2/organizations/1 and DELETE /api/v1/organizations/1) are still

accessible added

#2 - 07/21/2014 05:00 PM - David Davis

Optimally we want to keep the foreman routes instead of defining new Katello ones. Currently in Katello the api org routes are at 

/katello/api/v2/organizations

#3 - 07/23/2014 02:28 PM - Partha Aji

- Bugzilla link set to 1122678

#4 - 07/25/2014 09:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4486 added

- Pull request deleted ()

#5 - 07/25/2014 10:35 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#6 - 07/28/2014 08:48 AM - Eric Helms

- Target version changed from 49 to 54

#7 - 08/18/2014 08:32 AM - Eric Helms

- Target version changed from 54 to 55

#8 - 08/21/2014 12:54 PM - David Davis

- Status changed from Ready For Testing to Rejected

This is probably not going to make it in 2.0 so I'm going to reject it. I think being consistent over releases is better than pleasing foreman API users
who upgrade to foreman + katello.

#9 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13

#10 - 02/13/2015 11:16 AM - David Davis

- Related to Feature #9375: Find a way for plugins to easily override the behavior of taxonomies controller actions added

#11 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#12 - 07/08/2016 11:30 AM - Eric Helms

- translation missing: en.field_release set to 166
